Jump to content

Recommended Posts

I just bought the product - when installed it shows Version 1.28 and also shows "available version" is 1.28. This seems to indicate I am up-todate.

 

I now note there appears to be versions 2.03.

 

Should I update?

 

If so, what is the procedure?

Share this post


Link to post
Share on other sites

From where have you bought PFPX? Version 1.28 is long outdated. 

If the shop from where you bought PFPX doesn't provide you with the latest version (2.03) you can download it either from the

or

 

Share this post


Link to post
Share on other sites

The serial key is valid as you obviously used it already successfully upon installation.

I can't tell what the problem with the update database is (the registration there is only needed if you want to download updates from there). But you can also download the latest version from the developer page.

 

Share this post


Link to post
Share on other sites

Allan, download v2.03 from FlightsimSoft as suggested by Tom.

 

This is a new version and not an update therefor uninstall v1.28 before installing the new product.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...